pydo.databases.update_kafka_schema_subject_config()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.databases.update_kafka_schema_subject_config(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
subject_name="customer-schema",
body={
"compatibility_level": "NONE",
},
)Description
To update the Schema Registry configuration for a Subject of a Kafka cluster, send a PUT request to
/v2/databases/{database_cluster_uuid}/schema-registry/config/{subject_name}.
The response is a JSON object with a compatibility_level key, which is set to an object
containing any database configuration parameters.
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
subject_namestring requiredThe name of the Kafka schema subject.
compatibility_levelstring requiredThe compatibility level of the schema registry.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/schema-registry/config/{subject_name} in the API reference for additional detail on responses, headers, parameters, and more.